#ifndef DEVSCAN_UTILS_HH__
#define DEVSCAN_UTILS_HH__

#include <string>
#include <linux/fb.h>

namespace libhw
{
  std::string get_file_ctx(std::string file);
  char *crc32(const char* sequence);
  std::string crc64(const char* sequence);
  void timeout_alarm_handler(int signal);
  int dev_timeout(int(*func)(const void *),const void *arg, int timeout);
  int open_device(const void *arg);
  int modprobe(char* module);
  int rmmod(char* module);
  int runModuleCommand(char **argv);
  char * modNameMunge(char * mod);
  int fb_resolution(struct fb_var_screeninfo * fb_var);
}

#endif // DEVSCAN_UTILS_HH__
